windows_1251.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Macros

#define | ENC_CP1251_TO_LOWER_CASE(c) EncCP1251_ToLowerCaseTable[c]
#define | ENC_IS_CP1251_CTYPE(code, ctype) ((EncCP1251_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

## Functions

static int | cp1251_mbc_case_fold (OnigCaseFoldType flag ARG_UNUSED, const UChar **pp, const UChar *end ARG_UNUSED, UChar *lower, OnigEncoding enc ARG_UNUSED)
static int | cp1251_is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
static int | cp1251_apply_all_case_fold (OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, OnigEncoding enc ARG_UNUSED)
static int | cp1251_get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (windows_1251, Windows_1251)

## Variables

static const UChar | EncCP1251_ToLowerCaseTable [256]
static const unsigned short | EncCP1251_CtypeTable [256]
static const OnigPairCaseFoldCodes | CaseFoldMap []

## Macro Definition Documentation

#define ENC_CP1251_TO_LOWER_CASE | ( |  | c | ) | EncCP1251_ToLowerCaseTable[c]

Definition at line 33 of file windows_1251.c.

Referenced by cp1251_mbc_case_fold().

#define ENC_IS_CP1251_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((EncCP1251_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 34 of file windows_1251.c.

Referenced by cp1251_is_code_ctype().

## Function Documentation

static int cp1251_apply_all_case_fold | ( | OnigCaseFoldType | flag,
|  | OnigApplyAllCaseFoldFunc | f,
|  | void * | arg,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 166 of file windows_1251.c.

References onigenc_apply_all_case_fold_with_map().

static int cp1251_get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 175 of file windows_1251.c.

References onigenc_get_case_fold_codes_by_str_with_map().

static int cp1251_is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 119 of file windows_1251.c.

References ENC_IS_CP1251_CTYPE, and FALSE.

static int cp1251_mbc_case_fold | ( | OnigCaseFoldType flag | ARG_UNUSED,
|  | const UChar ** | pp,
|  | const UChar *end | ARG_UNUSED,
|  | UChar * | lower,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 108 of file windows_1251.c.

References ENC_CP1251_TO_LOWER_CASE, p, and UChar.

OnigEncodingDefine | ( | windows_1251 | ,
|  | Windows_1251 |
| ) |  |

## Variable Documentation

const OnigPairCaseFoldCodes CaseFoldMap[]

static

Definition at line 127 of file windows_1251.c.

const unsigned short EncCP1251_CtypeTable[256]

static

Definition at line 72 of file windows_1251.c.

const UChar EncCP1251_ToLowerCaseTable[256]

static

Definition at line 37 of file windows_1251.c.